Bug 238591 - irc/irssi: Input line is echoing utf8 chars on non-utf8 terminal
Summary: irc/irssi: Input line is echoing utf8 chars on non-utf8 terminal
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kai Knoblich
URL:
Keywords: easy
: 238592 (view as bug list)
Depends on: 238892
Blocks:
  Show dependency treegraph
 
Reported: 2019-06-16 05:17 UTC by Victor Sudakov
Modified: 2019-07-02 15:18 UTC (History)
4 users (show)

See Also:
dor.bsd: maintainer-feedback+
kai: merge-quarterly+


Attachments
Patch suggested in https://github.com/irssi/irssi/issues/1018 (644 bytes, text/plain)
2019-06-16 05:17 UTC, Victor Sudakov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Victor Sudakov 2019-06-16 05:17:53 UTC
Created attachment 205096 [details]
Patch suggested in https://github.com/irssi/irssi/issues/1018

If LANG=ru_RU.KOI8-R, the Cyrillic characters on the input line are garbled.

I applied a patch from https://github.com/irssi/irssi/issues/1018 to the port and it fixed the problem.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-06-16 05:33:46 UTC
*** Bug 238592 has been marked as a duplicate of this bug. ***
Comment 2 David O'Rourke 2019-06-30 20:28:11 UTC
This patch should be included in irssi 1.2.1, and this issue should be resolved by https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=238892
Comment 3 David O'Rourke 2019-06-30 20:28:39 UTC
Comment on attachment 205096 [details]
Patch suggested in https://github.com/irssi/irssi/issues/1018

Patch no longer required as irssi 1.2.1 includes it.
Comment 4 commit-hook freebsd_committer 2019-07-01 20:29:13 UTC
A commit references this bug:

Author: kai
Date: Mon Jul  1 20:29:02 UTC 2019
New revision: 505638
URL: https://svnweb.freebsd.org/changeset/ports/505638

Log:
  irc/irrsi: Update to 1.2.1

  * Fixes security vulnerability when using SASL for login that might suddenly
    fail in some cases (CVE-2019-13045). [1]
  * It also fixes issues with input line echoing of UTF-8 chars with non UTF-8
    terminals. [2]

  Changelog:

  https://irssi.org/NEWS/#v1-2-1

  PR:		238892 [1], 238591 [2]
  Submitted by:	Santhosh Raju [1], Victor Sudakov [2]
  Approved by:	David O'Rourke (maintainer)
  MFH:		2019Q2
  Security:	475f952c-9b29-11e9-a8a5-6805ca0b38e8

Changes:
  head/irc/irssi/Makefile
  head/irc/irssi/distinfo
Comment 5 commit-hook freebsd_committer 2019-07-02 05:42:13 UTC
A commit references this bug:

Author: kai
Date: Tue Jul  2 05:41:11 UTC 2019
New revision: 505659
URL: https://svnweb.freebsd.org/changeset/ports/505659

Log:
  MFH: r505638

  irc/irrsi: Update to 1.2.1

  * Fixes security vulnerability when using SASL for login that might suddenly
    fail in some cases (CVE-2019-13045). [1]
  * It also fixes issues with input line echoing of UTF-8 chars with non UTF-8
    terminals. [2]

  Changelog:

  https://irssi.org/NEWS/#v1-2-1

  PR:		238892 [1], 238591 [2]
  Submitted by:	Santhosh Raju [1], Victor Sudakov [2]
  Approved by:	David O'Rourke (maintainer)
  Security:	475f952c-9b29-11e9-a8a5-6805ca0b38e8

  Approved by:	ports-secteam (miwi)

Changes:
_U  branches/2019Q2/
  branches/2019Q2/irc/irssi/Makefile
  branches/2019Q2/irc/irssi/distinfo
Comment 6 Kai Knoblich freebsd_committer 2019-07-02 15:18:05 UTC
The patch was merged by upstream into 1.2.1 that was committed to the head and 2019Q2 branch.

Thank you for the patch!